Attribute VB_Name = "mod_GetSQL_MSysObjects_AnotherDatabase_s4p"
Option Compare Database
Option Explicit

' module name: mod_GetSQL_MSysObjects_AnotherDatabase_s4p
'*************** Code Start ***************************************************
' Purpose  : Function to create and return SQL to link MSysObjects in another database
' Author   : crystal (strive4peace)
' Code List: www.msaccessgurus.com/code.htm
' This code: https://msaccessgurus.com/VBA/SQL_MSysObjects_AnotherDatabase.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Mark your changes. Use at your own risk.
' Then use the SQL to create a saved query or to open a recordset
'--------------------------------------------------------------------------------
'                              GetSQL_MSysObjects_OtherDatabase_s4p
'--------------------------------------------------------------------------------
Public Function GetSQL_MSysObjects_OtherDatabase_s4p( _
   psPathFile As String _
   ) As String
'230401 strive4peace
   Dim sSql As String
   
   sSql = "SELECT Q.* FROM MSysObjects as Q " _
      & " In '" & psPathFile & "' ;"
   
   GetSQL_MSysObjects_OtherDatabase_s4p = sSql
   
End Function
'--------------------------------------------------------------------------------
'                             testSQL_MSysObjects_OtherDatabase_s4p
'--------------------------------------------------------------------------------
Sub testGetSQL_MSysObjects_OtherDatabase_s4p()
   Dim sPathFile As String _
      , sSql As String
   
   sPathFile = "C:\MyPath\MyFilename.accdb"    '------------ customize
   
   'Call GetSQL_MSysObjects_OtherDatabase_s4p
   sSql = GetSQL_MSysObjects_OtherDatabase_s4p(sPathFile)

   Debug.Print sSql

   MsgBox sSql, , "done"
End Sub
'*************** Code End *****************************************************

